<div>
    <p>X-Postition: {{ x_position }}</p>
    <p>Y-Position: {{ y_position }}</p>
    <p>Moon Age: {{ moon_age }}<p>
    <p>Elevation: {{ elevation }}</p>
    <p>Illumination: {{ illumination }}</p>
    <p>Moon Phase: {{ moon_phase }}</p>
    <div>
        <span class="moon-base"></span>
        <span [style]="shadow" class="moon-shadow"></span>
        <p>Input position value.</p>
        <input (change)="setPosition($event)">
    </div>
</div>
